<?php
   /*
   This code show all variables with values in browser window.
   use: dd("GLOBALS");
   Sample of output:
   */
   function dd($v) {
   global $a;
   echo "<blockquote>\n";
   $q= "while(list(\$key,\$val) = each($".$v. ") ) { ".
   " echo \"<b>\$key</b>=>\$val.<br>\";".
   " if(( is_array(\$val)) && (\$key != \"GLOBALS\")) {".
   " @dd( \$v.\"[\".\$key.\"]\" );".
   "}}";
   eval($q);
   echo "</blockquote>\n";
   }

       dd("GLOBALS");
   ?>